Bug 1472336 - System becomes unresponsive when swapping
Summary: System becomes unresponsive when swapping
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-18 13:24 UTC by Steven Haigh
Modified: 2018-05-29 12:56 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:56:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Linux Kernel 196729 None None None 2017-11-27 02:33:00 UTC

Description Steven Haigh 2017-07-18 13:24:02 UTC
After a fix to glibc that fixed Unity 3D based games (Fedora ref: https://
bugzilla.redhat.com/show_bug.cgi?id=1440287), I have noticed that when I play 
Cities: Skylines that the system becomes unresponsive when digging into swap.

I have 10Gb of RAM in this system and run Fedora 26. If I launch Cities: 
Skylines with no swap space, things run well performance wise until I get an 
OOM - and it all dies - which is expected.

When I turn on swap to /dev/sda2 which resides on an SSD, I get complete 
system freezes while swap is being accessed.

The first swap was after loading a saved game, then launching kmail in the 
background. This caused ~500Mb to be swapped to /dev/sda2 on an SSD. The 
system froze for about 8 minutes - barely being able to move the mouse. The 
HDD LED was on constantly during the entire time.

To hopefully rule out the above glibc issue, I started the game via jemalloc - 
but experienced even more severe freezes while swapping. I gave up waiting 
after 13 minutes of non-responsiveness - not even being able to move the mouse 
properly.

During these hangs, I could typed into a Konsole window, and some of the 
typing took 3+ minutes to display on the screen (yay for buffers?).

I have tested this with both the default vm.swappiness values, as well as the 
following:
vm.swappiness = 1
vm.min_free_kbytes = 32768
vm.vfs_cache_pressure = 60

I noticed that when I do eventually get screen updates, all 8 cpus (4 cores / 
2 threads) show 100% CPU usage - and kswapd is right up there in the process 
list for CPU usage. Sadly I haven't been able to capture this information 
fully yet due to said unresponsiveness.

This seems to be a relatively new problem that I did not encounter during the 
Fedora 26 beta - but do now.

Comment 1 Steven Haigh 2017-07-18 13:25:32 UTC
Forgot to add kernel version!

Currently testing with:
kernel-4.11.10-300.fc26.x86_64

Comment 3 Laura Abbott 2018-02-28 03:52:10 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.

Comment 4 mostafasaid2008 2018-05-01 08:54:15 UTC
it still happens with Fedora 28

Comment 5 Steven Haigh 2018-05-01 11:46:40 UTC
I don't have a system I can randomly remove RAM from now to test. My current system is unhappy running on a single RAM stick.

Report above still says it occurs, so I would say this is still an issue in recent kernels.

Comment 6 Fedora End Of Life 2018-05-03 08:40:13 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 12:56:12 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.